# Class XsdValidate

java.lang.Object
uk.ac.starlink.ttools.task.XsdValidate

All Implemented Interfaces:
  `uk.ac.starlink.task.Task`

public class XsdValidate extends Object implements uk.ac.starlink.task.Task
Utility task for XML Schema validation. Of course the hard work is done by classes in javax.xml.validation, but this task handles reporting and, especially, provides some facilities for custom schema file location.

This doesn't seem like it should be a job for STILTS, but it seems there aren't too many other easily accessible XSD validation tools out there, and this can at least offer local copies of some of the IVOA schemas.

Since:
  15 Mar 2022
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`XsdValidate()`

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.task.Executable`
`createExecutable(uk.ac.starlink.task.Environment env)`
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters()`
`String`
`getPurpose()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XsdValidate

public XsdValidate()

## Method Details

### getPurpose

public String getPurpose()

Specified by:
  `getPurpose` in interface `uk.ac.starlink.task.Task`

### getParameters

public uk.ac.starlink.task.Parameter<?>[] getParameters()

Specified by:
  `getParameters` in interface `uk.ac.starlink.task.Task`

### createExecutable

public uk.ac.starlink.task.Executable createExecutable(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException

Specified by:
  `createExecutable` in interface `uk.ac.starlink.task.Task`
Throws:
  `uk.ac.starlink.task.TaskException`